\name{buildVigDf}
\alias{buildVigDf}
\alias{buildPkgDf}
\alias{addManifest}
\alias{addOsSpecific}
\title{Functions to create repository data.frames}
\description{
  These functions are used to generate server side repository data.frames
}
\usage{
buildPkgDf(PACKAGEfile="PACKAGES.in", infoDir=".", prefixPath=NULL,
           mangSep=":v:")
buildVigDf(VIGfile = "Vignettes.in", infoDir = ".")
addManifest(df, ext=".manifest", mangSep=":v:")
addOsSpecific(df, prefixPath=NULL, ext=".status",mangSep=":v:")
}
\arguments{
  \item{PACKAGEfile}{For building a package repository, allows the user
    to specify information manually.}
  \item{VIGfile}{For building a vignette repository, allows the user
    to specify information manually.}
  \item{infoDir}{The path to any manual input files}
  \item{df}{A repository data frame object}
  \item{prefixPath}{Allows the user to specify a different location for
    the stored files}
  \item{ext}{File extension for special manual input files}
  \item{mangSep}{Used internally}
}
\details{
   These functions (especially the add* functions, which are called by
   buildPkgDf), are intended primarily to be called from the genRepos()
   routines, but can be manually invoked.  See help("genRepos") for
   descriptions of the various manual input files and their effects.
}
\value{
   A repository data.frame.
}
\author{Jeff Gentry}
\seealso{\code{\link{repdatadesc-class}},\code{\link{genRepos}}}
\examples{
}
\keyword{utilities}
