\name{genRepos}
\alias{genRepos}
\alias{genPkgRepos}
\alias{genVigRepos}
\title{A function to create a repository}
\description{
  This functionality provides the user with the means to generate a
  repository out of a set of files.
}
\usage{
genRepos(repName, urlBase, urlPath, repType = c("package", "vignette", "data"), PACK = FALSE, Status = FALSE, dir = ".", dataPath = "", infoPath = "")
genVigRepos(dataDir, infoDir, VIG=FALSE)
genPkgRepos(dataDir, infoDir, PACK=FALSE, Status=FALSE)
}
\arguments{
  \item{repName}{The name of the repository}
  \item{urlBase}{A base URL for the repository (e.g. http://www.bioconductor.org/)}
  \item{urlPath}{A path from the urlBase (e.g. packages/download/)}
  \item{repType}{Type of repository: package, vignette, data}
  \item{PACK}{Whether to use manual PACKAGES/Vignettes input file}
  \item{VIG}{Whether to use manual Vignettes input file}
  \item{Status}{Whether to use manual status files}
  \item{dir}{The directory to create the repository in}
  \item{dataPath}{Path to the repository files}
  \item{dataDir}{Directory where repository files are}
  \item{infoPath}{Path to any manual files used}
  \item{infoDir}{Directory where info files are}
}
\details{
  For more detailed information, the user is directed to the vignette
  file "HOWTO set up a simple R repository" in the \code{reposTools}
  package.  To do this, you can use the \code{vignette} command in the
  \code{annotate} package: vignette("HOWTO set up a simple R repository", package="reposTools").  

  genRepos is passed basic information about the repository as well as
  indicators as to what should be autogenerated or manually inputed, and
  will create two files:  One file 'replisting', which contains a matrix
  of repository information and the other 'repdatadesc.rda' which
  contains a data.frame representing the files to be distributed.  These
  two special files are accessed by client functions.
  
  genPkgRepos and genVigRepos are primarly helper functions not really
  intended to be called by the user, but do provide more direct access
  to the functionality.
}
\value{
  genRepos returns a list containing basic information about the
  repository generated.
}
\author{Jeff Gentry}
\seealso{\code{\link{install.packages2}},\code{\link{ReposEntry}},\code{\link{vignette}}}

\examples{
}
\keyword{utilities}
