\name{getReposEntry}
\alias{getReposEntry}
\title{A function to retrieve a ReposEntry object from a repository}
\description{
  Will retrieve repository information from a specified repository, and
  pass back a ReposEntry object containing this information.
}
\usage{
getReposEntry(repURL, repFile = "replisting", rddFile = "repdatadesc.rda")
}
\arguments{
  \item{repURL}{URL of the repository}
  \item{repFile}{Name of the remote replisting file}
  \item{rddFile}{Name of the remote dataframe RDA file.}
}
\details{
  The latter two options should be left to the defaults in almost all
  cases.

  The remote replisting and (if available) repdatadesc.rda files are
  downloaded from the specified repository and combined to form a
  ReposEntry object.
}
\value{
  The constructed ReposEntry object, or NULL on failure.
}
\author{Jeff Gentry}
\seealso{\code{\link{ReposEntry-class}}}
\examples{
  z <- getReposEntry("http://www.bioconductor.org/repository/sample/package")
  z
}
\keyword{utilities}
