\name{getVigDeps}
\alias{getVigDeps}
\alias{getPkgDeps}
\alias{getObjectDeps}
\title{ A function to extract dependencies }
\description{
  These function will return a vector of dependencies for either a
  vignette or an installed package (respectively).  Each element of
  the vector will represent a single dependency and may also contain
  in the string any version requirements.
}
\usage{
getObjectDeps(x, suggests=TRUE, uses=TRUE)
getVigDeps(x, suggests=TRUE, uses=TRUE)
getPkgDeps(x, suggests=TRUE, uses=TRUE)
}
\arguments{
  \item{x}{ The name of the object }
  \item{suggests}{Whether or not to load 'suggests' level dependencies}
  \item{uses}{Whether or not to load 'uses' level dependencies}
}
\details{
  Obtains the information from the VignetteDepends directive in the
  vignette header, or the DESCRIPTION file for the package.  

  getObjectDeps is used if one is not sure if 'x' represents a package
  or a vignette.  It is a simple wrapper for these two functions.
}
\value{
  A character vector of dependencies, or an empty vector
}
\author{ Jeff Gentry }

\seealso{ \code{\link{load.depends}},\code{\link{depends}}}
\examples{
   getPkgDeps("affy")
}
\keyword{ utilities }
